# Generated by Django 4.2.16 on 2025-03-17 11:22

import django.db.models.deletion
import djangoldp.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("djangoldp_mediaobject", "__first__"),
        (
            "djangoldp_tems",
            "0004_temsimage_temslocation_temsoffer_delete_temsimages_and_more",
        ),
        ("auth", "0012_alter_user_first_name_max_length"),
    ]

    operations = [
        migrations.CreateModel(
            name="InteractiveInfographicObject",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "title",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                ("description", models.TextField(blank=True, default="", null=True)),
                (
                    "copyright",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "website",
                    models.CharField(
                        blank=True, default="", max_length=2000, null=True
                    ),
                ),
                ("publication_date", models.DateTimeField(null=True)),
                ("instruction", models.TextField(blank=True, default="", null=True)),
                (
                    "assets",
                    models.ManyToManyField(
                        blank=True, to="djangoldp_mediaobject.mediaobjectasset"
                    ),
                ),
                (
                    "images",
                    models.ManyToManyField(blank=True, to="djangoldp_tems.temsimage"),
                ),
                (
                    "keywords",
                    models.ManyToManyField(
                        blank=True, to="djangoldp_mediaobject.mediaobjectkeyword"
                    ),
                ),
                (
                    "language",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="djangoldp_mediaobject.mediaobjectlanguage",
                    ),
                ),
                (
                    "licences",
                    models.ManyToManyField(blank=True, to="djangoldp_tems.temslicence"),
                ),
                (
                    "owners",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="owned_interactiveinfographic",
                        to="auth.group",
                    ),
                ),
                (
                    "providers",
                    models.ManyToManyField(
                        blank=True,
                        related_name="catalog_interactiveinfographic",
                        to="djangoldp_tems.temsprovider",
                    ),
                ),
            ],
            options={
                "verbose_name": "TEMS Interactive Infographic",
                "verbose_name_plural": "TEMS Interactive Infographics",
                "abstract": False,
                "default_permissions": {"view", "change", "delete", "add", "control"},
                "rdf_type": [
                    "tems:Object",
                    "tems:MediaObject",
                    "tems:InteractiveInfographic",
                ],
                "container_path": "/objects/mediaobjects/interactiveinfographics/",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "title",
                    "description",
                    "copyright",
                    "website",
                    "licences",
                    "images",
                    "keywords",
                    "publication_date",
                    "language",
                    "assets",
                    "instruction",
                    "providers",
                    "owners",
                ],
                "nested_fields": [
                    "licences",
                    "assets",
                    "images",
                    "keywords",
                    "language",
                    "providers",
                ],
                "depth": 0,
            },
        ),
    ]
